package com.fs.company.service;

import java.util.List;
import com.fs.company.domain.CompanyUserCard;
import com.fs.company.param.CompanyUserCardQueryParam;
import org.apache.ibatis.annotations.Param;

/**
 * 【请填写功能名称】Service接口
 *
 * @author fs
 * @date 2023-04-25
 */
public interface ICompanyUserCardService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public CompanyUserCard selectCompanyUserCardById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param companyUserCard 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<CompanyUserCard> selectCompanyUserCardList(CompanyUserCard companyUserCard);

    /**
     * 新增【请填写功能名称】
     *
     * @param companyUserCard 【请填写功能名称】
     * @return 结果
     */
    public int insertCompanyUserCard(CompanyUserCard companyUserCard);

    /**
     * 修改【请填写功能名称】
     *
     * @param companyUserCard 【请填写功能名称】
     * @return 结果
     */
    public int updateCompanyUserCard(CompanyUserCard companyUserCard);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    public int deleteCompanyUserCardByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteCompanyUserCardById(Long id);

    List<CompanyUserCard> selectMyCardListQuery(CompanyUserCardQueryParam param);


    int updateUserCardShortUrlById(Long cardId, String shortUrl);
}
